Favicon

You are here: Home > API Reference > Windows > Windows Default Config > Get defaultDeviceConfig by Id

Get defaultDeviceConfig by Id

Required Permission: mdm.windows.defaultDeviceConfig.get

Get defaultDeviceConfig by Id

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config/{winDefaultDeviceConfigId}
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config/{winDefaultDeviceConfigId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config/{winDefaultDeviceConfigId}", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config/{winDefaultDeviceConfigId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDefaultDeviceConfigId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
≤ 256 characters
winEnterpriseId string optional
Match pattern: ^[a-fA-F0-9]{24}$
modelName string optional
≤ 256 characters
windows
elementId string optional
Match pattern: ^[a-fA-F0-9]{24}$
elementInfo object optional
{
    "status": true,
    "data": {
        "id": "string",
        "type": "string",
        "winEnterpriseId": "string",
        "modelName": "windows",
        "elementId": "string",
        "elementInfo": {}
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}